Search banks by name
curl --request GET \
--url https://api.triqai.com/v1/banks \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.triqai.com/v1/banks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.triqai.com/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triqai.com/v1/banks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triqai.com/v1/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triqai.com/v1/banks")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triqai.com/v1/banks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"banks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"country": "NL",
"foundedYear": 5000,
"foundedOn": "2023-12-25",
"description": "<string>",
"icon": "<string>",
"color": "<string>",
"website": "<string>",
"domain": "<string>"
}
],
"pagination": {
"page": 123,
"size": 123,
"hasMore": true
}
},
"meta": {
"generatedAt": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"version": "<string>"
}
}{
"success": false,
"error": {
"code": "authentication_error",
"message": "API key is required"
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "authorization_error",
"message": "Access denied"
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "validation_error",
"message": "Validation failed",
"details": {
"fieldErrors": {
"title": [
"Title is required"
]
}
}
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fieldErrors": {}
}
},
"meta": {
"generatedAt": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"version": "<string>"
}
}Entities
Search banks by name
Search stored banks by exact, case-insensitive name (surrounding whitespace is ignored). Optionally filter by ISO country of origin, not a country where the bank operates. Requires an API key, is rate limited, and costs zero credits. No enrichment or creation occurs. Returns all matching candidates in pages ordered by country (unknown last), then ID. No match returns an empty array. Results are read directly from the database so backfilled details are available immediately. Pagination is not a snapshot across requests.
GET
/
v1
/
banks
Search banks by name
curl --request GET \
--url https://api.triqai.com/v1/banks \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.triqai.com/v1/banks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.triqai.com/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.triqai.com/v1/banks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.triqai.com/v1/banks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.triqai.com/v1/banks")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.triqai.com/v1/banks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"banks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"country": "NL",
"foundedYear": 5000,
"foundedOn": "2023-12-25",
"description": "<string>",
"icon": "<string>",
"color": "<string>",
"website": "<string>",
"domain": "<string>"
}
],
"pagination": {
"page": 123,
"size": 123,
"hasMore": true
}
},
"meta": {
"generatedAt": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"version": "<string>"
}
}{
"success": false,
"error": {
"code": "authentication_error",
"message": "API key is required"
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "authorization_error",
"message": "Access denied"
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "validation_error",
"message": "Validation failed",
"details": {
"fieldErrors": {
"title": [
"Title is required"
]
}
}
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
},
"meta": {
"generatedAt": "2026-02-16T00:00:00Z",
"requestId": "f353ca91-4fc5-49f2-9b9e-304f83d11914",
"version": "1.1.2"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fieldErrors": {}
}
},
"meta": {
"generatedAt": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"version": "<string>"
}
}Authorizations
Public API key
Query Parameters
Bank name; 1–200 characters after trimming. No fuzzy or alias matching.
Required string length:
1 - 200ISO 3166-1 alpha-2 country of origin; case-insensitive. Unknown countries do not match a filter.
Pattern:
^[A-Za-z]{2}$Required range:
1 <= x <= 10000Required range:
1 <= x <= 100Was this page helpful?